Accounts
Set ice breakers
Replaces the ice breakers (1-4 Meta ice-breaker objects, passthrough). Requires scope social:write.
PUT
/
social
/
accounts
/
{account_id}
/
instagram
/
ice-breakers
Set ice breakers
curl --request PUT \
--url https://api.smartlyq.com/v1/social/accounts/{account_id}/instagram/ice-breakers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ice_breakers": [
{
"call_to_actions": [
{
"question": "What are your opening hours?",
"payload": "HOURS"
}
],
"locale": "default"
}
]
}
'import requests
url = "https://api.smartlyq.com/v1/social/accounts/{account_id}/instagram/ice-breakers"
payload = { "ice_breakers": [
{
"call_to_actions": [
{
"question": "What are your opening hours?",
"payload": "HOURS"
}
],
"locale": "default"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ice_breakers: [
{
call_to_actions: [{question: 'What are your opening hours?', payload: 'HOURS'}],
locale: 'default'
}
]
})
};
fetch('https://api.smartlyq.com/v1/social/accounts/{account_id}/instagram/ice-breakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"ice_breakers": [
{
"call_to_actions": [
{
"question": "What are your opening hours?",
"payload": "HOURS"
}
],
"locale": "default"
}
]
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or malformed Authorization header",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Post not found.",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "PLATFORM_ERROR",
"message": "The platform rejected the request."
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Path Parameters
Body
application/json
Maximum array length:
4⌘I
Set ice breakers

